MODEM-STATS(1)

NAME
modem-stats - send a command to a modem, and copy the modem's response to standard output

SYNOPSIS
modem-stats [ -c command ] [ -e end_string ] device

DESCRIPTION
modem-stats is typically used to document a modem's status after a connection, and may also be used to gather accounting statistics.
modem-stats may be used to send an initialization string to a modem.
modem-stats may also be used to reset a modem.

OPTIONS

-c command sets the command to send to the modem.
The default is AT I6
Even if the modem echoes command, it will not be copied to the output.

-e end_string sets the modem's final response string.
The default is OK
All of the modem's response to command, up to but not including end_string, will be copied to the output.

NOTES
modem-stats reqires both read and write access to device.
modem-stats exits if device doesn't respond in 5 seconds.

EXAMPLES

  Record Modem Status
date >> status
modem-stats /dev/cua1 >> status

  Initialize Modem
modem-stats -c "AT &F1" /dev/cua1 > /dev/null

  Reset Modem
modem-stats -c ATZ /dev/cua1 > /dev/null

SEE ALSO
The manual for your modem.

BUGS
modem-stats fails badly if end_string is not correct.
Not all modems provide useful link statistics.
modem-stats won't work with mgetty(1).

AUTHOR
Kenneth J. Hendrickson
kjh@usc.edu, kjh@seas.smu.edu